﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Mondol.TaskHosting.PropertyGrid;

namespace Mondol.TaskHosting.Examples.HelloWord
{   
    class Config : Mondol.Configuration, ITaskConfig
    {
        private readonly IAppEnvironment _appEnv;

        public Config(IAppEnvironment appEnv)
        {
            this._appEnv = appEnv;
        }

        protected override string GetConfigurationFilePath()
        {
            return Path.Combine(_appEnv.GetPluginDataBasePath(GetType().Assembly), "HelloWord.Config.json");
        }

        [Category("基本设置"), DisplayName("设置1"), Description("程序设置1，存储 string 类型的设置")]
        public string Setting1
        {
            get
            {
                return GetProperty(nameof(Setting1), "我是设置1的默认值");
            }
            set
            {
                SetProperty(nameof(Setting1), value);
            }
        }

        [Category("基本设置"), DisplayName("设置2"), Description("程序设置2，存储 int 类型的设置")]
        public int Setting2
        {
            get
            {
                return GetProperty(nameof(Setting2), 5);
            }
            set
            {
                SetProperty(nameof(Setting2), value);
            }
        }
    }
}
