﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Autofac;
using Autofac.Core.Registration;

namespace Mondol.TaskHosting.Examples.IStatusBar
{
    [Task("IStatusBar接口示例", IsMutilThread = false)]
    class StatusBarTask : Mondol.TaskHosting.Task
    {
        public static void OnSelectionTaskChanged(IComponentContext resolver, SelectionTaskChangedEventArgs e)
        {            
            e.StatusBarHandled = true;
            var statusBar = resolver.Resolve<TaskHosting.IStatusBar>();
            var immediateLogger = resolver.Resolve<IImmediateLogger>();

            //创建按钮及事件处理
            var btn = new Button
            {
                Style = Application.Current.Resources["LinkButton"] as Style,
                Content = "[我是按钮]"
            };
            btn.Click += (s1, e1) =>
            {
                immediateLogger.Info("[我是按钮] 被单击了");
            };

            //创建文本框及事件处理
            var text = new TextBox()
            {
                Margin = new Thickness(-3),
                Text = "这是文本框",
                Width = 260
            };

            statusBar.Count = 3;
            statusBar[0] = "我是一个普通的文本标签";
            statusBar[1] = text;
            statusBar[2] = btn;
        }
    }
}
