﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Autofac;
using Mondol.TaskHosting.Examples.IStatusBar;
using Mondol.TaskHosting.Examples.Tab;

namespace Mondol.TaskHosting.Examples
{    
    internal class Initializer : IInitializer
    {
        private readonly IComponentContext _resolver;
        private readonly ITaskManager _taskMgr;

        /// <summary>
        /// 这个构造参数是可选的，如果不需要接收resolver则不用写
        /// </summary>
        /// <param name="resolver"></param>
        public Initializer(Autofac.IComponentContext resolver)
        {
            _resolver = resolver;

            _taskMgr = resolver.Resolve<ITaskManager>();
            var evtMgr = resolver.Resolve<IEventManager>();
            evtMgr.SelectionTaskChanged += EvtMgr_SelectionTaskChanged;
        }

        public void ConfigureServices(ContainerBuilder builder)
        {
            
        }

        private void EvtMgr_SelectionTaskChanged(object sender, SelectionTaskChangedEventArgs e)
        {
            if (e.AddedTasksId?.Length > 0)
            {
                var selectedTaskId = e.AddedTasksId[0];

                if (selectedTaskId == _taskMgr.GetTaskId(typeof(StatusBarTask)))
                    StatusBarTask.OnSelectionTaskChanged(_resolver, e);
                else if (selectedTaskId == _taskMgr.GetTaskId(typeof(TopTabTask)))
                    TopTabTask.OnSelectionTaskChanged(_resolver, e);
                else if (selectedTaskId == _taskMgr.GetTaskId(typeof(BottomTabTask)))
                    BottomTabTask.OnSelectionTaskChanged(_resolver, e);
            }
        }
    }
}
