﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using Mondol.TaskHosting.PropertyGrid;

namespace Mondol.TaskHosting.Examples.LinkCapture
{
    class Config : Mondol.Configuration, ITaskConfig
    {
        private readonly IAppEnvironment _appEnv;

        public Config(IAppEnvironment appEnv)
        {
            this._appEnv = appEnv;
        }

        protected override string GetConfigurationFilePath()
        {
            return Path.Combine(_appEnv.GetPluginDataBasePath(GetType().Assembly), "LinkCapture.Config.json");
        }

        [Category("基本设置"), DisplayName("网址列表"), Description("网址列表，多个网址用换行分隔")]
        [Editor(typeof(MultiTextEditor), typeof(MultiTextEditor))]
        public string Urls
        {
            get
            {
                return GetProperty<string>(nameof(Urls));
            }
            set
            {
                SetProperty<string>(nameof(Urls), value);
            }
        }
    }
}
