﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Autofac;
using Autofac.Core.Registration;

namespace Mondol.TaskHosting.Examples.Tab
{
    [Task("ITopTab接口示例", IsMutilThread = false)]
    class TopTabTask : Mondol.TaskHosting.Task
    {
        public static void OnSelectionTaskChanged(IComponentContext resolver, SelectionTaskChangedEventArgs e)
        {
            e.TopTabHandled = true;
            var tab = resolver.Resolve<ITopTab>();

            //创建顶部的Tab视图
            var tabItm1 = new TabItem()
            {
                Header = "标签1",
                Content = new ControlsDemo()
            };
            var tabItm2 = new TabItem()
            {
                Header = "标签2",
                Content = "标签2的内容"
            };

            tab.Count = 2;
            tab[0] = tabItm1;
            tab[1] = tabItm2;
        }
    }
}
